ReferenceDocumentsDocumentidAttachment analysesAnalysisid

    Update attachment analysis for document

    Update attachment analysis for document - PATCH /documents/{documentId}/attachment-analyses/{analysisId}. DocDealer REST API reference.

    PATCH
    /documents/{documentId}/attachment-analyses/{analysisId}

    Authorization

    bearerAuth
    AuthorizationBearer <token>

    In: header

    Path Parameters

    documentId*string
    analysisId*string

    Request Body

    application/json

    TypeScript Definitions

    Use the request body type in TypeScript.

    Response Body

    application/json

    application/json

    application/json

    application/json

    application/json

    curl -X PATCH "https://example.com/documents/string/attachment-analyses/string" \  -H "Content-Type: application/json" \  -d '{}'
    {  "accepted": true,  "analysisError": "string",  "analysisResult": "string",  "apiKeyId": "string",  "attachmentIds": [    "string"  ],  "createdAt": "string",  "creatorUserId": "string",  "entryIndex": 0,  "fieldId": "string",  "id": "string",  "status": 0,  "type": "attachment_analysis",  "updatedAt": "string",  "validationOk": true,  "validationWarnings": [    "string"  ]}